std::list::push_front(3)

NAME
std::list::push_front - std::list::push_front

Synopsis
   void push_front( const T& value );
   void push_front( T&& value ); (since C++11)
   Prepends the given element value to the beginning of the container.
   No iterators or references are invalidated.

Parameters
   value - the value of the element to prepend

Return value
   (none)

Complexity
   Constant.

Exceptions
   If an exception is thrown, this function has no effect (strong exception guarantee).

Example
// Run this code
 #include <list>
 #include <iostream>
 #include <iomanip>
 #include <string>
 int main()
 {
     std::list<std::string> letters;
     letters.push_front("abc");
     std::string s{"def"};
     letters.push_front(std::move(s));
     std::cout << "std::list `letters` holds: ";
     for (auto&& e : letters) std::cout << std::quoted(e) << ' ';
     std::cout << "\nMoved-from string `s` holds: " << std::quoted(s) << '\n';
 }

Possible output:
 std::list `letters` holds: "def" "abc"
 Moved-from string `s` holds: ""

See also
   emplace_front constructs an element in-place at the beginning
   (C++11) (public member function)
   push_back adds an element to the end
                  (public member function)
   pop_front removes the first element
                  (public member function)
                  creates a std::front_insert_iterator of type inferred from the
   front_inserter argument
                  (function template)